/*
 * ExampleInterruptibleClass.hpp
 *
 *  Created on: Apr 20, 2024
 *      Author: Gabriel
 */

#ifndef SRC_COMPONENTS_EXAMPLEINTERRUPTIBLECLASS_HPP_
#define SRC_COMPONENTS_EXAMPLEINTERRUPTIBLECLASS_HPP_

#include "EXTIHandler_STM32.hpp"

class ExampleInterruptibleClass : protected EXTIHandler_STM32{
public:
	ExampleInterruptibleClass(GPIO_Pin_STM32* pin);
	virtual ~ExampleInterruptibleClass();
	int32_t init();
private:
	void irqHandler(void*parameter);
	GPIO_Pin_STM32* pin;
};

#endif /* SRC_COMPONENTS_EXAMPLEINTERRUPTIBLECLASS_HPP_ */
